summaryrefslogtreecommitdiffstats
path: root/bootstrap.sh
diff options
context:
space:
mode:
authorSebastien Estienne <sebastien.estienne@gmail.com>2005-08-28 22:09:02 +0000
committerSebastien Estienne <sebastien.estienne@gmail.com>2005-08-28 22:09:02 +0000
commit67b0d605554cc5d1836c6e112eb465d53e213330 (patch)
tree8c839fb24d71be729ed595af6374aa14b07d10b3 /bootstrap.sh
parentf4b0f0626e54347eb9b56e19e69b9e8a451f0721 (diff)
* initial import
git-svn-id: file:///home/lennart/svn/public/service-discovery-applet/trunk@3 3be567f1-68ff-0310-b24a-ad7cc433fd2f
Diffstat (limited to 'bootstrap.sh')
-rwxr-xr-xbootstrap.sh48
1 files changed, 48 insertions, 0 deletions
diff --git a/bootstrap.sh b/bootstrap.sh
new file mode 100755
index 0000000..5ef6ae7
--- /dev/null
+++ b/bootstrap.sh
@@ -0,0 +1,48 @@
+#!/bin/sh
+
+# This file is part of service-discovery-applet (sd-applet).
+#
+# sd-applet is free software; you can redistribute it and/or modify it
+# under the terms of the GNU Lesser General Public License as
+# published by the Free Software Foundation; either version 2 of the
+# License, or (at your option) any later version.
+#
+# sd-applet is distributed in the hope that it will be useful, but WITHOUT
+# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
+# or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public
+# License for more details.
+#
+# You should have received a copy of the GNU Lesser General Public
+# License along with sd-applet; if not, write to the Free Software
+# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
+# USA.
+
+VERSION=1.9
+
+run_versioned() {
+ local P
+ type -p "$1-$2" &> /dev/null && P="$1-$2" || local P="$1"
+
+ shift 2
+ "$P" "$@"
+}
+
+set -ex
+
+if [ "x$1" = "xam" ] ; then
+ run_versioned automake "$VERSION" -a -c --foreign
+ ./config.status
+else
+ rm -rf autom4te.cache
+ rm -f config.cache
+
+ run_versioned aclocal "$VERSION" -I common
+ libtoolize -c --force
+ autoheader
+ run_versioned automake "$VERSION" -a -c --foreign
+ autoconf -Wall
+
+ ./configure "$@"
+
+ make clean
+fi